    $(document).ready(function(){
        $('#Franquicia').on('change',function(){
            var IdFranquicias =$(this).val();
            if(IdFranquicias == ""){
              $('#Zona').prop('disabled',true);
            }else
            {
                $('#Zona').prop('disabled',false);
                $.ajax({
                  url:'MostrarZona',
                  type:"POST",
                  data:{'IdFranquicias': IdFranquicias},
                  success: function(data){
                   $('#Zona').html(data);
                  },
                      error: function(){
                        alert('Ocuarrio un error!!!!!!');
                      }
                });
            }

        });
    });

 //Función que valida que acepte solo numeros
function valida(e){
                tecla = (document.all) ? e.keyCode : e.which;

                //Tecla de retroceso para borrar, siempre la permite
                if (tecla==8){
                  return true;
                }
        
                // Patron de entrada, en este caso solo acepta numeros
                patron =/["0123456789"]/;
                tecla_final = String.fromCharCode(tecla);
                return patron.test(tecla_final);
            }  

 

